# Account Customization - Update

| **API URL**     | {{url}}/admin-service/account-customization/update |
| --------------- | -------------------------------------------------- |
| **Method**      | PUT                                                |
| **Description** | Update customization form for customized workflow  |

#### **Input** <a href="#accountcustomization-update-input" id="accountcustomization-update-input"></a>

| **Field Name** | **Type** | **Mandatory** | **Example**                    |
| -------------- | -------- | ------------- | ------------------------------ |
| workflow       | String   | Yes           | smoking                        |
| instructions   | Array    | Yes           | Avoid Smoking, Dental problems |

#### **Sample Input:** <a href="#accountcustomization-update-sampleinput" id="accountcustomization-update-sampleinput"></a>

{\
"type": "Module",\
"countryId": "1",\
"tenantId": "1",\
"category": "Input\_form",\
"formInput": "{\\"time\\":1676962312557,\\"formLayout\\":\[{\\"id\\":\\"smoking\\",\\"viewType\\":\\"CardView\\",\\"title\\":\\"Smoking\\",\\"familyOrder\\":0,\\"isCustomWorkflow\\":true},{\\"id\\":\\"Smoking Effetcs\\",\\"viewType\\":\\"Instruction\\",\\"title\\":\\"Smoking Effetcs\\",\\"fieldName\\":\\"Smoking Effetcs\\",\\"family\\":\\"smoking\\",\\"isSummary\\":false,\\"isMandatory\\":false,\\"isEnabled\\":true,\\"visibility\\":\\"visible\\",\\"instructions\\":\[\\"Diabetes\\",\\"Dental problems\\",\\"Heart disease, stroke and blood circulation problems\\",\\"Breathing problems and chronic respiratory conditions\\"],\\"isNotDefault\\":true,\\"orderId\\":1}]}",\
"id": 72,\
"workflow": "smoking",\
"clinicalWorkflowId": "91"\
}

#### **Sample Output:** <a href="#accountcustomization-update-sampleoutput" id="accountcustomization-update-sampleoutput"></a>

```
{
    "message": "Account Customization Form updated successfully.",
    "entity": null,
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/admin-services/clinical-workflow/account-customization-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
